searchData={"items":[{"type":"module","title":"JValid","doc":"Macro allows to include JSON Schema into your code and validate maps based on them.","ref":"JValid.html"},{"type":"macro","title":"JValid.load_schema/1","doc":"Load schema at compile time to be later used in validator.\n  This macro will include in inline in a function scope.\n\n  Example:\n\n      schema = load_schema \"test/support/schema.json\"","ref":"JValid.html#load_schema/1"},{"type":"macro","title":"JValid.use_schema/2","doc":"Load schema at compile time to be later used in validator.\n  This macro will include in inline in a module scope.\n  It can save resources and reduce application size.\n\n  Example:\n      defmodule Sample\n        use_schema :schema, \"test/support/schema.json\"\n      end","ref":"JValid.html#use_schema/2"},{"type":"macro","title":"JValid.valid_schema?/2","doc":"Validate map using previously loaded schema.\n  Returns true if schema is valid.\n\n  Example:\n\n      use JValid\n\n      # Include schema in a module scope\n      use_schema :schema, \"test/support/schema.json\"\n      # ...\n      valid_schema?(:schema, map)\n\n      # Include schema in a function scope\n      \"test/support/schema.json\"\n      |> load_schema\n      |> valid_schema?(map)","ref":"JValid.html#valid_schema?/2"},{"type":"macro","title":"JValid.validate_schema/2","doc":"Validate map using previously loaded schema.\n  Returns `:ok` if map is valid, otherwise - `{:error, reason}`.\n\n  Example:\n\n      use JValid\n\n      # Include schema in a module scope\n      use_schema :schema, \"test/support/schema.json\"\n      # ...\n      validate_schema?(:schema, map)\n\n      # Include schema in a function scope\n      \"test/support/schema.json\"\n      |> load_schema\n      |> validate_schema?(map)","ref":"JValid.html#validate_schema/2"},{"type":"extras","title":"JValid","doc":"# JValid\n\n[![Deps Status](https://beta.hexfaktor.org/badge/all/github/Nebo15/jvalid.svg)](https://beta.hexfaktor.org/github/Nebo15/jvalid) [![Hex.pm Downloads](https://img.shields.io/hexpm/dw/jvalid.svg?maxAge=3600)](https://hex.pm/packages/jvalid) [![Latest Version](https://img.shields.io/hexpm/v/jvalid.svg?maxAge=3600)](https://hex.pm/packages/jvalid) [![License](https://img.shields.io/hexpm/l/jvalid.svg?maxAge=3600)](https://hex.pm/packages/jvalid) [![Build Status](https://travis-ci.org/Nebo15/jvalid.svg?branch=master)](https://travis-ci.org/Nebo15/jvalid) [![Coverage Status](https://coveralls.io/repos/github/Nebo15/jvalid/badge.svg?branch=master)](https://coveralls.io/github/Nebo15/jvalid?branch=master)\n\nWe use JSON Schema validation inside our projects, but storing large schema in Elixir files looks ugly, and you can't really move them to a separate file since it will be erased during compile and release.\n\nThis module solves this issue by in-lining schemas in compilation time via Elixir macros.","ref":"readme.html"},{"type":"extras","title":"Installation - JValid","doc":"It's [available in Hex](https://hex.pm/packages/jvalid), the package can be installed as:\n\n  1. Add `jvalid` to your list of dependencies in `mix.exs`:\n\n      ```elixir\n      def deps do\n        [{:jvalid, \"~> 0.5.2\"}]\n      end\n      ```\n\n  2. Ensure `jvalid` is started before your application:\n\n      ```elixir\n      def application do\n        [applications: [:jvalid]]\n      end\n      ```","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}